Create an expense spend authorization line
post
/fscmRestApi/resources/11.13.18.05/expenseSpendAuthorizations/{expenseSpendAuthorizationsUniqID}/child/lines
Request
Path Parameters
-
expenseSpendAuthorizationsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Spend Authorizations resource and used to uniquely identify an instance of Spend Authorizations. The client should not generate the hash key value. Instead, the client should query on the Spend Authorizations collection resource in order to navigate to a specific instance of Spend Authorizations to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
additionalInformation: string
Maximum Length:
4000Additional information captured during expense spend authorization creation. -
amount: number
Title:
AmountAmount for the expense spend authorization line. -
currencyCode: string
Maximum Length:
15Currency code for the expense spend authorization line. -
description: string
Title:
DescriptionMaximum Length:240A brief description of the expense spend authorization line. -
merchant: string
Maximum Length:
240Name of the merchant where the expense was incurred. -
merchantEmailAddress: string
Maximum Length:
240Email address of the associated merchant. -
template: string
Maximum Length:
255Expense template against which the expense is incurred. -
type: string
Maximum Length:
255Expense type against which the expense is incurred.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : expenseSpendAuthorizations-lines-item-response
Type:
Show Source
object-
additionalInformation: string
Maximum Length:
4000Additional information captured during expense spend authorization creation. -
amount: number
Title:
AmountAmount for the expense spend authorization line. -
category: string
Read Only:
trueMaximum Length:255Category for the expense type. -
createdBy: string
Read Only:
trueMaximum Length:64User who created the row. -
creationDate: string
(date-time)
Read Only:
trueDate and time when the row was created. -
currencyCode: string
Maximum Length:
15Currency code for the expense spend authorization line. -
description: string
Title:
DescriptionMaximum Length:240A brief description of the expense spend authorization line. -
lastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the row was last updated. -
lastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the row. -
lineId: integer
(int64)
Read Only:
trueUnique identifier for the expense spend authorization line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
merchant: string
Maximum Length:
240Name of the merchant where the expense was incurred. -
merchantEmailAddress: string
Maximum Length:
240Email address of the associated merchant. -
template: string
Maximum Length:
255Expense template against which the expense is incurred. -
type: string
Maximum Length:
255Expense type against which the expense is incurred.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.